Docker Community Forums

Share and learn in the Docker community.

Cant start docker container

First off I am new to using docker. What I am trying to do is in this link https://skylar.tech/graphing-poweredge-r710-power/

Basically I am trying to use Grafana, Telegraf and InfluxDb to monitor my Dell iDrac’s. I seem to get things working but when I restart I get errors.
I should also note that whenever i start backup my server with influxdb and telegraf I have to cd to where my docker-compose file is locate. How do I get around that?

[root@influxr610 monitoring]# docker-compose up -d
Traceback (most recent call last):
File “urllib3/connectionpool.py”, line 677, in urlopen
File “urllib3/connectionpool.py”, line 392, in _make_request
File “http/client.py”, line 1252, in request
File “http/client.py”, line 1298, in _send_request
File “http/client.py”, line 1247, in endheaders
File “http/client.py”, line 1026, in _send_output
File “http/client.py”, line 966, in send
File “docker/transport/unixconn.py”, line 43, in connect
FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “requests/adapters.py”, line 449, in send
File “urllib3/connectionpool.py”, line 727, in urlopen
File “urllib3/util/retry.py”, line 403, in increment
File “urllib3/packages/six.py”, line 734, in reraise
File “urllib3/connectionpool.py”, line 677, in urlopen
File “urllib3/connectionpool.py”, line 392, in _make_request
File “http/client.py”, line 1252, in request
File “http/client.py”, line 1298, in _send_request
File “http/client.py”, line 1247, in endheaders
File “http/client.py”, line 1026, in _send_output
File “http/client.py”, line 966, in send
File “docker/transport/unixconn.py”, line 43, in connect
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, FileNotFoundError(2, ‘No such file or directory’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “docker/api/client.py”, line 205, in _retrieve_server_version
File “docker/api/daemon.py”, line 181, in version
File “docker/utils/decorators.py”, line 46, in inner
File “docker/api/client.py”, line 228, in _get
File “requests/sessions.py”, line 543, in get
File “requests/sessions.py”, line 530, in request
File “requests/sessions.py”, line 643, in send
File “requests/adapters.py”, line 498, in send
requests.exceptions.ConnectionError: (‘Connection aborted.’, FileNotFoundError(2, ‘No such file or directory’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “bin/docker-compose”, line 3, in
File “compose/cli/main.py”, line 67, in main
File “compose/cli/main.py”, line 123, in perform_command
File “compose/cli/command.py”, line 69, in project_from_options
File “compose/cli/command.py”, line 132, in get_project
File “compose/cli/docker_client.py”, line 43, in get_client
File “compose/cli/docker_client.py”, line 170, in docker_client
File “docker/api/client.py”, line 188, in init
File “docker/api/client.py”, line 213, in _retrieve_server_version
docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, FileNotFoundError(2, ‘No such file or directory’))
[1484] Failed to execute script docker-compose

You are trying to run bash, an interactive shell that requires a tty in order to operate. It doesn’t really make sense to run this in “detached” mode with -d, but you can do this by adding -it to the command line, which ensures that the container has a valid tty associated with it and that stdin remains connected:

docker run -it -d -p 52022:22 basickarl/docker-git-test
You would more commonly run some sort of long-lived non-interactive process (like sshd, or a web server, or a database server, or a process manager like systemd or supervisor) when starting detached containers.

If you are trying to run a service like sshd, you cannot simply run service ssh start. This will – depending on the distribution you’re running inside your container – do one of two things:

It will try to contact a process manager like systemd or upstart to start the service. Because there is no service manager running, this will fail.

It will actually start sshd, but it will be started in the background. This means that (a) the service sshd start command exits, which means that (b) Docker considers your container to have failed, so it cleans everything up.

If you want to run just ssh in a container, consider an example like this.

If you want to run sshd and other processes inside the container, you will need to investigate some sort of process supervisor.

Once again lewish95 the Let me Google that for you bot has committed plagiarism. (ref)